<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:52 EEST 2020 -->
<title>Class Hierarchy</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="businesslogic/package-tree.html">businesslogic</a>, </li>
<li><a href="connection/package-tree.html">connection</a>, </li>
<li><a href="databaseaccess/package-tree.html">databaseaccess</a>, </li>
<li><a href="exception/package-tree.html">exception</a>, </li>
<li><a href="model/package-tree.html">model</a>, </li>
<li><a href="presentation/package-tree.html">presentation</a>, </li>
<li><a href="start/package-tree.html">start</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">model.<a href="model/Client.html" title="class in model"><span class="typeNameLink">Client</span></a></li>
<li type="circle">businesslogic.<a href="businesslogic/ClientBLL.html" title="class in businesslogic"><span class="typeNameLink">ClientBLL</span></a></li>
<li type="circle">databaseaccess.<a href="databaseaccess/ClientDAO.html" title="class in databaseaccess"><span class="typeNameLink">ClientDAO</span></a></li>
<li type="circle">connection.<a href="connection/ConnectionFactory.html" title="class in connection"><span class="typeNameLink">ConnectionFactory</span></a></li>
<li type="circle">presentation.<a href="presentation/GeneratePDF.html" title="class in presentation"><span class="typeNameLink">GeneratePDF</span></a></li>
<li type="circle">start.<a href="start/MainClass.html" title="class in start"><span class="typeNameLink">MainClass</span></a></li>
<li type="circle">model.<a href="model/Order.html" title="class in model"><span class="typeNameLink">Order</span></a></li>
<li type="circle">businesslogic.<a href="businesslogic/OrderBLL.html" title="class in businesslogic"><span class="typeNameLink">OrderBLL</span></a></li>
<li type="circle">databaseaccess.<a href="databaseaccess/OrderDAO.html" title="class in databaseaccess"><span class="typeNameLink">OrderDAO</span></a></li>
<li type="circle">model.<a href="model/OrderItem.html" title="class in model"><span class="typeNameLink">OrderItem</span></a></li>
<li type="circle">businesslogic.<a href="businesslogic/OrderItemBLL.html" title="class in businesslogic"><span class="typeNameLink">OrderItemBLL</span></a></li>
<li type="circle">databaseaccess.<a href="databaseaccess/OrderItemDAO.html" title="class in databaseaccess"><span class="typeNameLink">OrderItemDAO</span></a></li>
<li type="circle">presentation.<a href="presentation/Parser.html" title="class in presentation"><span class="typeNameLink">Parser</span></a></li>
<li type="circle">model.<a href="model/Product.html" title="class in model"><span class="typeNameLink">Product</span></a></li>
<li type="circle">businesslogic.<a href="businesslogic/ProductBLL.html" title="class in businesslogic"><span class="typeNameLink">ProductBLL</span></a></li>
<li type="circle">databaseaccess.<a href="databaseaccess/ProductDAO.html" title="class in databaseaccess"><span class="typeNameLink">ProductDAO</span></a></li>
<li type="circle">java.lang.Throwable (implements java.io.Serializable)
<ul>
<li type="circle">java.lang.Exception
<ul>
<li type="circle">exception.<a href="exception/DeletionFailedException.html" title="class in exception"><span class="typeNameLink">DeletionFailedException</span></a></li>
<li type="circle">exception.<a href="exception/InsertionFailedException.html" title="class in exception"><span class="typeNameLink">InsertionFailedException</span></a></li>
<li type="circle">exception.<a href="exception/UpdateFailedException.html" title="class in exception"><span class="typeNameLink">UpdateFailedException</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
